/**
 *胡红勋 2018-07-05 织入给组件的公共方法----
 * @param {*}
 */
const getParent = $component =>
  $component.abstract || $component.$el === $component.$children[0].$el
    ? getParent($component.$parent)
    : $component
export default {
  methods: {
    ready () {
      this.$parent = getParent(this.$parent)
      this.Cesium = this.$parent.Cesium
      this.viewer = this.$parent.viewer
      this.load()
    },
    transmitEvent (e) {
      this.$emit(e.type.replace(/^on/, ''), e)
    },
    reload () {
      this.load()
    }
  },
  mounted: function () {
    this.$parent = getParent(this.$parent)
    const viewer = this.$parent.viewer
    const { ready } = this
    viewer ? ready() : this.$parent.$on('ready', ready)
  }
}
