/**
 *胡红勋 2018-07-05 绘制时的提示类方法
 * @param {*} frameDiv
 */
import './pretty.css'
export default function createTooltip (frameDiv) {
  var ToolTip = function (frameDiv) {
    var div = document.createElement('div')
    div.className = 'twipsy right'
    var arrow = document.createElement('div')
    arrow.className = 'twipsy-arrow'
    div.appendChild(arrow)
    var title = document.createElement('div')
    title.className = 'twipsy-inner'
    div.appendChild(title)
    this._div = div
    this._title = title
    this.message = ''
    frameDiv.appendChild(div)
    var that = this
    div.onmousemove = function (evt) {
      that.showAt({x: evt.clientX, y: evt.clientY}, that.message)
    }
  }
  ToolTip.prototype.setVisible = function (visible) {
    this._div.style.display = visible ? 'block' : 'none'
  }
  ToolTip.prototype.showAt = function (position, message) {
    if (position && message) {
      this.setVisible(true)
      this._title.innerHTML = message
      this._div.style.left = position.x + 10 + 'px'
      this._div.style.top = (position.y - this._div.clientHeight / 2) + 'px'
      this.message = message
    }
  }
  return new ToolTip(frameDiv)
}
