import { version } from '../package.json'
import SmViewer from './viewer/viewer.vue'
import SmDraw from './viewer/Draw.vue'
import SmMeasure from './viewer/Measure.vue'
import {GeometryType} from './base/GeometryType'
import {MeasureMode} from './base/MeasureMode'
import {groundType} from './base/ClampMode'
import createTooltip from './base/tooltip'
export default {
  install (Vue) {
    Vue.component('sm-viewer', SmViewer) // 注册全局容器地图组件
    Vue.component('sm-draw', SmDraw) // 注册全局绘制组件
    Vue.component('sm-measure', SmMeasure) // 注册全局测量组件
  },
  version // 组件库版本------
}

export { SmViewer, SmDraw, SmMeasure, GeometryType, MeasureMode, groundType, createTooltip } // 组件库暴露给外界的方法
